import * as prettier from 'prettier';
import { preprocess } from './preprocess.js';

declare const parsers: {
    babel: {
        preprocess: typeof preprocess;
        parse: (text: string, options: prettier.ParserOptions<any>) => any;
        astFormat: string;
        hasPragma?: ((text: string) => boolean) | undefined;
        locStart: (node: any) => number;
        locEnd: (node: any) => number;
    };
    typescript: {
        preprocess: typeof preprocess;
        parse: (text: string, options: prettier.ParserOptions<any>) => any;
        astFormat: string;
        hasPragma?: ((text: string) => boolean) | undefined;
        locStart: (node: any) => number;
        locEnd: (node: any) => number;
    };
};

export { parsers };
